<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ltgk.boat.mapper.DsDynamicNewMapper">
    <resultMap type="com.ltgk.boat.domain.entity.DsDynamicNew" id="DsDynamicNewResult">
            <result property="uuid" column="uuid"/>
            <result property="msgType" column="msg_type"/>
            <result property="mmsi" column="mmsi"/>
            <result property="boatName" column="boat_name"/>
            <result property="longitude" column="longitude"/>
            <result property="latitude" column="latitude"/>
            <result property="sog" column="sog"/>
            <result property="cog" column="cog"/>
            <result property="msgContent" column="msg_content"/>
            <result property="serviceCode" column="service_code"/>
            <result property="serviceType" column="service_type"/>
            <result property="targetLength" column="target_length"/>
            <result property="targetId" column="target_id"/>
            <result property="boatSign" column="boat_sign"/>
            <result property="gpsCode" column="gps_code"/>
            <result property="gpsTime" column="gps_time"/>
            <result property="pushinTime" column="pushin_time"/>
            <result property="createTime" column="create_time"/>
            <result property="updateTime" column="update_time"/>
            <result property="createBy" column="create_by"/>
            <result property="updateBy" column="update_by"/>
            <result property="delFlag" column="del_flag"/>
    </resultMap>
</mapper>